/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIMAN_PRINT_H
#define VIMAN_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/viamTclservClientEncode.h"

#include "server/tclservClient/genManipTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"


#include "server/vimanPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( buf_t buf, struct VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VIMAN_OBJECTPOSE_POSTER_STR ( buf_t buf, struct VIMAN_OBJECTPOSE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( buf_t buf, struct VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( buf_t buf, struct VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_VIMAN_STR ( buf_t buf, struct VIMAN_STR *x, int nDim, int *dims);
void buf_add_struct_VimanImage ( buf_t buf, struct VimanImage *x, int nDim, int *dims);
void buf_add_struct_VimanInitStr ( buf_t buf, struct VimanInitStr *x, int nDim, int *dims);
void buf_add_enum_VimanInputStream ( buf_t buf, enum VimanInputStream *x, int nDim, int *dims);
void buf_add_struct_VimanObjectPublicArray ( buf_t buf, struct VimanObjectPublicArray *x, int nDim, int *dims);
void buf_add_struct_VimanObjectArray ( buf_t buf, struct VimanObjectArray *x, int nDim, int *dims);
void buf_add_struct_VimanObjectPublic ( buf_t buf, struct VimanObjectPublic *x, int nDim, int *dims);
void buf_add_enum_VimanObjSymMotion ( buf_t buf, enum VimanObjSymMotion *x, int nDim, int *dims);
void buf_add_struct_VimanTime ( buf_t buf, struct VimanTime *x, int nDim, int *dims);
void buf_add_struct_VimanObject ( buf_t buf, struct VimanObject *x, int nDim, int *dims);
void buf_add_enum_VimanBool ( buf_t buf, enum VimanBool *x, int nDim, int *dims);
void buf_add_struct_VimanEuler ( buf_t buf, struct VimanEuler *x, int nDim, int *dims);
void buf_add_struct_VimanThetaMat ( buf_t buf, struct VimanThetaMat *x, int nDim, int *dims);
void buf_add_struct_VimanPoint2D ( buf_t buf, struct VimanPoint2D *x, int nDim, int *dims);
void buf_add_struct_VimanCorrectionVec ( buf_t buf, struct VimanCorrectionVec *x, int nDim, int *dims);
void buf_add_struct_VimanMotionMat ( buf_t buf, struct VimanMotionMat *x, int nDim, int *dims);
void buf_add_struct_VimanString ( buf_t buf, struct VimanString *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_VimanString ( buf_t buf, VimanString *x, int nDim, int *dims);
void buf_add_VimanMotionMat ( buf_t buf, VimanMotionMat *x, int nDim, int *dims);
void buf_add_VimanCorrectionVec ( buf_t buf, VimanCorrectionVec *x, int nDim, int *dims);
void buf_add_VimanPoint2D ( buf_t buf, VimanPoint2D *x, int nDim, int *dims);
void buf_add_VimanThetaMat ( buf_t buf, VimanThetaMat *x, int nDim, int *dims);
void buf_add_VimanEuler ( buf_t buf, VimanEuler *x, int nDim, int *dims);
void buf_add_VimanBool ( buf_t buf, VimanBool *x, int nDim, int *dims);
void buf_add_VimanObject ( buf_t buf, VimanObject *x, int nDim, int *dims);
void buf_add_VimanTime ( buf_t buf, VimanTime *x, int nDim, int *dims);
void buf_add_VimanObjSymMotion ( buf_t buf, VimanObjSymMotion *x, int nDim, int *dims);
void buf_add_VimanObjectPublic ( buf_t buf, VimanObjectPublic *x, int nDim, int *dims);
void buf_add_VimanObjectArray ( buf_t buf, VimanObjectArray *x, int nDim, int *dims);
void buf_add_VimanObjectPublicArray ( buf_t buf, VimanObjectPublicArray *x, int nDim, int *dims);
void buf_add_VimanInputStream ( buf_t buf, VimanInputStream *x, int nDim, int *dims);
void buf_add_VimanInitStr ( buf_t buf, VimanInitStr *x, int nDim, int *dims);
void buf_add_VimanImage ( buf_t buf, VimanImage *x, int nDim, int *dims);
void buf_add_VIMAN_STR ( buf_t buf, VIMAN_STR *x, int nDim, int *dims);
void buf_add_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( buf_t buf, VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims);
void buf_add_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( buf_t buf, VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x, int nDim, int *dims);
void buf_add_VIMAN_OBJECTPOSE_POSTER_STR ( buf_t buf, VIMAN_OBJECTPOSE_POSTER_STR *x, int nDim, int *dims);
void buf_add_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( buf_t buf, VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* VIMAN_TCLSERV_CLIENT_ENCODE_H */

